#include "Xlib_private.h"

XSetWindowBorder(dpy, w, pixel)
    register Display *dpy;
    Window w;
    unsigned long pixel;
{
   DBUG_ENTER("XSetWindowBorder")
   HWND winframe = WinQueryWindowULong((HWND)w, QWP_FRAMEHWND);

   if (!winframe)
      DBUG_RETURN(False);

   if ( !WinSetPresParam(winframe, PP_ACTIVECOLORINDEX,
                   sizeof(long), (PVOID)&pixel) )
      DBUG_RETURN(False);
   if ( !WinSetPresParam(winframe, PP_INACTIVECOLORINDEX,
                   sizeof(long), (PVOID)&pixel) )
      DBUG_RETURN(False);

   DBUG_RETURN(True);
}
